RPC_GSS_SET_DEFAULTS(3)

NAME
rpc_gss_set_defaults - set service and quality of protection

LIBRARY
librpcsec_gss

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_set_defaults(AUTH *auth, rpc_gss_service_t service, const char *qop);

DESCRIPTION
Set the service and quality of protection to be used for RPC requests. The new values apply for the rest of the lifetime of the context (unless changed again with this function).

PARAMETERS

service
    The service type to use for subsequent RPC requests

qop The quality of protection to use or NULL for the default

RETURN VALUES
Returns TRUE if the values were set

SEE ALSO
rpc(3), gssapi(3), rpcset_gss(3)

HISTORY
The rpc_gss_set_defaults function first appeared in FreeBSD 8.0.

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.